unit Server.Resources;

{$I WiRL.inc}

interface

uses
  System.Classes, System.SysUtils, System.Rtti, Data.DB,

  WiRL.Core.JSON,
  WiRL.Core.Application,
  WiRL.Core.Registry,
  WiRL.Core.Attributes,
  WiRL.http.Accept.MediaType,
  WiRL.http.URL,
  WiRL.Core.MessageBody.Default,
  WiRL.http.Request,
  WiRL.http.Response,
  WiRL.Core.Auth.Context,
  WiRL.Core.Auth.Resource,

  Server.Auth.Resource;

type
  [Path('hr')]
  THRResource = class(TWiRLAuthBasicResource)
  private
    // Injects the custom claims into "Subject" field
    [Context] Subject: TWiRLSubject;
  public
    [GET]
    [Produces(TMediaType.APPLICATION_JSON)]
    //[RolesAllowed('hr')]
    function GetProductionData: TDataSet;
  end;

implementation

uses
  Server.Data.Main,
  System.DateUtils,
  REST.Json;

{ THRResource }

function THRResource.GetProductionData: TDataSet;
begin
  Result := dmMain.GetEmployeesData;
end;

initialization
  TWiRLResourceRegistry.Instance.RegisterResource<THRResource>;

end.
