unit Server.Filters;

interface

uses
  WinApi.Windows, System.SysUtils, System.Classes,

  WiRL.Core.Registry,
  WiRL.http.Filters,
  WiRL.http.Request,
  WiRL.http.Response,
  WiRL.Core.Attributes,
  WiRL.Core.Exceptions,
  WiRL.Core.Auth.Context,
  WiRL.http.URL,
  WiRL.Core.Application,
  WiRL.http.Accept.MediaType,
  WiRL.http.Filters.Compression;

type
  /// <summary>
  ///   Security Filter (Demo)
  /// </summary>
  TRequestSecurityFilter = class(TInterfacedObject, IWiRLContainerRequestFilter)
  public
    procedure Filter(ARequestContext: TWiRLContainerRequestContext);
  end;

implementation

uses
  StrUtils;

procedure TRequestSecurityFilter.Filter(ARequestContext: TWiRLContainerRequestContext);
var
  LAuth: TWiRLAuthContext;
  LApp: TWiRLApplication;
begin
  LAuth := ARequestContext.Context.AuthContext;
  LApp := (ARequestContext.Context.Application as TWiRLApplication);
  if not AnsiMatchStr(LApp.AppName, LAuth.Subject.AudienceArray) then
  begin
    raise EWiRLNotAuthorizedException.Create('The token does not belongs to this service');
  end;
end;

initialization
  TWiRLFilterRegistry.Instance.RegisterFilter<TRequestSecurityFilter>;

end.
