unit Server.Resources;

{$I WiRL.inc}

interface

uses
  System.Classes, System.SysUtils, System.Rtti, Data.DB,

  WiRL.Core.JSON,
  WiRL.Core.Application,
  WiRL.Core.Registry,
  WiRL.Core.Attributes,
  WiRL.http.Accept.MediaType,
  WiRL.http.URL,
  WiRL.Core.MessageBody.Default,
  WiRL.http.Request,
  WiRL.http.Response;

type
  [Path('production')]
  TProductionResource = class
  private
  public
    [GET]
    [Produces(TMediaType.APPLICATION_JSON)]
    [RolesAllowed('production')]
    function GetProductionData: TDataSet;
  end;

implementation

uses
  Server.Data.Main;

{ TProductionResource }

function TProductionResource.GetProductionData: TDataSet;
begin
  Result := dmMain.GetProductionData;
end;

initialization
  TWiRLResourceRegistry.Instance.RegisterResource<TProductionResource>;

end.
